Bug 7718 - (int-153035) Unable to save attachment from e-mail without e-mail body
(int-153035)
: Unable to save attachment from e-mail without e-mail body
Status: RESOLVED FIXED
Product: Email
General
: 5.0/(2.2009.51-1)
: N900 Maemo
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-06 21:53 UTC by rblasum
Modified: 2010-03-15 20:56 UTC (History)
3 users (show)

See Also:


Attachments
Test message containing only a JPEG image (1.44 KB, text/plain)
2010-01-08 10:02 UTC, Lucas Maneos
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description rblasum (reporter) 2010-01-06 21:53:53 UTC
SOFTWARE VERSION:

Maemo 5. V 1.2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
Receive e-mail with one attachment but no e-mail body, i.e. just a subject line
and attachment, no text. Try to save attachment via "save attachments" from
Menu.

EXPECTED OUTCOME:

List of Attachments that allows me to select which attachment to save.

ACTUAL OUTCOME:

No attachment to save is shown, thus it becomes impossible to save the
attachment.

REPRODUCIBILITY:

always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
Comment 1 Andre Klapper maemo.org 2010-01-07 19:15:20 UTC
Works fine here with a text email in Gmail IMAP, running internal version 53-1.
Please provide way more information and/or attach a complete example email here
as attachment.
Comment 2 Lucas Maneos 2010-01-08 10:02:07 UTC
Created an attachment (id=1949) [details]
Test message containing only a JPEG image

Reproduced on 2.2009.51-1 with this message.   Modest does display the
attachment under the From: header at the top of the window, and tapping that
opens it in the image viewer but tapping Menu -> Save attachments produces a
"Select attachment" dialog containing nothing.
Comment 3 Lucas Maneos 2010-01-08 10:16:21 UTC
May be related to bug 4927 code-wise: both deal with the handling of top-level
(without multipart wrapping) MIME entities.
Comment 4 Sergio Villar Senin 2010-01-12 22:17:13 UTC
Now we take into account the cases where the unique MIME part of the message
has "attachment" Content disposition

Fixed in
modest-3-2: b1d805cb34d6e3eed88ba1977b2467993c3fe6e5
master    : 43720d393ceb644b08011fc1d8b34ebf3ba4d8cc

Thx for the report!

And thx also for the same email!

You guys keep us widen more and more the spectrum of messages we can
successfully read.
Comment 5 Andre Klapper maemo.org 2010-02-02 13:30:35 UTC
This has been fixed in
modest 3.2.11-2+0m5
which is part of the internal build version
2010.05-4
Comment 6 Andre Klapper maemo.org 2010-03-15 20:56:29 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).